> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace snapshot tags

> Replace all tags for a snapshot.
Existing tags are deleted and replaced with the tags from the request.
Use PATCH /v1/snapshots/{`project_id`}/{`region_id`}/{`snapshot_id`} instead



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml put /cloud/v1/snapshots/{project_id}/{region_id}/{snapshot_id}/metadata
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/snapshots/{project_id}/{region_id}/{snapshot_id}/metadata:
    put:
      tags:
        - Snapshots
      summary: Replace snapshot tags
      description: >-
        Replace all tags for a snapshot.

        Existing tags are deleted and replaced with the tags from the request.

        Use PATCH /v1/snapshots/{`project_id`}/{`region_id`}/{`snapshot_id`}
        instead
      operationId: SnapshotInstanceMetadataViewSet.put
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: snapshot_id
          required: true
          description: Snapshot ID
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTagsSerializer'
      responses:
        '200':
          description: Updated snapshot details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotSerializer'
      deprecated: true
components:
  schemas:
    UpdateTagsSerializer:
      patternProperties:
        ^[^\s=]+$:
          anyOf:
            - maxLength: 255
              minLength: 1
              pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
              type: string
            - type: 'null'
          description: >-
            Tag value. Maximum 255 characters. Cannot contain tabs, newlines,
            empty string or start/end with whitespace. Set to `null` in order to
            delete this tag.
          examples:
            - my-tag-value
      propertyNames:
        description: >-
          Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
          newlines, empty string or '=' character.
        examples:
          - my-tag
        maxLength: 255
        minLength: 1
      title: UpdateTagsSerializer
      type: object
    SnapshotSerializer:
      properties:
        created_at:
          description: Datetime when the snapshot was created
          example: 2019-05-29T05:32:41+0000
          examples:
            - 2019-05-29T05:32:41+0000
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          description: Task that created this entity
          example: 2358e3b1-5c42-4705-8950-6ddcfc19c3bd
          examples:
            - 2358e3b1-5c42-4705-8950-6ddcfc19c3bd
          format: uuid4
          title: Creator Task Id
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Snapshot description
          examples:
            - Snapshot description
          title: Description
        id:
          description: Snapshot ID
          example: 726ecfcc-7fd0-4e30-a86e-7892524aa483
          examples:
            - 726ecfcc-7fd0-4e30-a86e-7892524aa483
          format: uuid4
          title: Id
          type: string
        name:
          description: Snapshot name
          example: my-snapshot
          examples:
            - my-snapshot
          title: Name
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        size:
          description: Snapshot size, GiB
          example: 20
          examples:
            - 20
          title: Size
          type: integer
        status:
          $ref: '#/components/schemas/SnapshotStatusChoices'
          description: Snapshot status
          examples:
            - available
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - null
          title: Task Id
        updated_at:
          description: Datetime when the snapshot was last updated
          example: 2019-05-29T05:39:20+0000
          examples:
            - 2019-05-29T05:39:20+0000
          format: date-time
          title: Updated At
          type: string
        volume_id:
          description: ID of the volume this snapshot was made from
          example: 67baa7d1-08ea-4fc5-bef2-6b2465b7d227
          examples:
            - 67baa7d1-08ea-4fc5-bef2-6b2465b7d227
          format: uuid4
          title: Volume Id
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - description
        - status
        - size
        - volume_id
        - created_at
        - updated_at
        - tags
        - creator_task_id
        - task_id
      title: SnapshotSerializer
      type: object
    SnapshotStatusChoices:
      enum:
        - available
        - backing-up
        - creating
        - deleted
        - deleting
        - error
        - error_deleting
        - restoring
        - unmanaging
      title: SnapshotStatusChoices
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````